%define name gmail-notify
%define version 1.6.1.1
%define release %mkrel 1

Summary:   Gmail Notifier
Name:	   %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:	   Networking/Mail
URL:	   http://gmail-notify.sourceforge.net/
Source0:   http://gmail-notify.sourceforge.net/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires:  python 
Requires:  pygtk2.0
Requires:  python-notify
Requires:  pygtk2.0-libglade
Requires:  pyxdg


%description
Gmail Notifier alerts a message when new mail arrives from your Gmail account.

%prep

%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}
#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}
python notifier.py $*
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Gmail Notifier
Type=Application
Terminal=false
Comment=Alerts when new mail arrives
Exec=%{name}
Icon=%{name}
Categories=GTK;Utility;X-MandrivaLinux-Internet-Mail;
EOF

#data file
install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -R * %{buildroot}%{_datadir}/%{name}

#menu icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m  644 %{name}-icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48 \
%{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus


%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop


%changelog
* Tue Feb 23 2010 slick50 <lxgator@gmail.com> 1.6.1.1-1pclos2010
- initial pkg

